Subject: Re: [PATCH] powerpc: Use shared font data

From: "Dr. David Alan Gilbert" <[email-masked]>
Date: Tue, 25 Jul 2023 17:08:31 +0000

* Sam Ravnborg ([email-masked]) wrote:
> Hi David,
> 
> On Tue, Jul 25, 2023 at 01:01:41AM +0100, [email-masked] wrote:
> > From: "Dr. David Alan Gilbert" <[email-masked]>
> > 
> > PowerPC has a 'btext' font used for the console which is almost identical
> > to the shared font_sun8x16, so use it rather than duplicating the data.
> > 
> > They were actually identical until about a decade ago when
> >    commit bcfbeecea11c ("drivers: console: font_: Change a glyph from
> >                         "broken bar" to "vertical line"")
> > 
> > which changed the | in the shared font to be a solid
> > bar rather than a broken bar.  That's the only difference.
> > 
> > This was originally spotted by PMD which noticed that sparc does
> > the same thing with the same data, and they also share a bunch
> > of functions to manipulate the data.  I've previously posted a near
> > identical patch for sparc.
> > 
> > One difference I notice in PowerPC is that there are a bunch of compile
> > options for the .c files for the early code to avoid a bunch of security
> > compilation features;  it's not clear to me if this is a problem for
> > this font data.
> > 
> > Tested very lightly with a boot without FS in qemu.
> > 
> > Signed-off-by: Dr. David Alan Gilbert <[email-masked]>
> 
> Yep, looks very similar to sparc, so
> 
> Reviewed-by: Sam Ravnborg <[email-masked]>

Thanks!

Dave

-- 
 -----Open up your eyes, open up your mind, open up your code -------   
/ Dr. David Alan Gilbert    |       Running GNU/Linux       | Happy  \ 
\        dave @ treblig.org |                               | In Hex /
 \ _________________________|_____ http://www.treblig.org   |_______/